This webhook notification is triggered in response to a successful call to the Send Webhook Test Notification endpoint when the topic parameter in the request body is set to transactional-test.
It is designed to test the transactional flow for the integration and serves as confirmation of its successful setup.
Transactional Test
post
{listenerUrl}/transactional-test Request
Header Parameters
X-Delivery-IdstringUnique message id plus delivery attempt.
X-Key-IdstringID of the public key used to validate the signature.
X-SignaturestringBase64-encoded RSA SHA-256 signature of
{deliveryId}:.{keyId}: {requestBody}
Body application/json
topicstringAllowed values:transactional-testpayloadobjectmsgstringAllowed values:Test transactional topic
messageIdstringlistenerIdstringlistenerAccountIdstringdeliveryAttemptnumbercreatedAtstringThe notification message creation timestamp.
sentAtstringThe delivery attempt timestamp.
keyIdstringThe public key id for validating the signature. Public keys can be found at https://api.immersve.com/.well-known/jwks.json and matched using the "kid" attribute.
issuerstring